View Issue Details

IDProjectCategoryView StatusLast Update
0002773Path[FreeCAD] Bugpublic2019-07-30 22:43
ReporterherbkAssigned Tomlampert 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformallOSOS Version
Product Version[FreeCAD] 0.17 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0002773: array from path doubles first path
DescriptionIf i make a array of a path, the exportet gcode contents the first path 2 times, if i make the gcode by exporting job to gcode. It happens also if i make the original path invisible.
TagsNo tags attached.

Activities

herbk

2016-11-14 19:27

reporter  

doublepath.jpg (115,777 bytes)
doublepath.jpg (115,777 bytes)

mlampert

2016-11-16 05:59

developer   ~0007462

The problem is that Array includes the original Path, but doesn't claim it as it's child (and deactivates it). This makes the original Path appear twice, once from itself, and once a copy from Array.

There are 2 way of fixing this
-) Not include the original path in Array, and just produce output for the copies
-) Let Array claim the original Path as a child

The workaround would be to set the original Path "Active=false", interestingly this also turns off any output from the Array - and Array does not have an Active property itself.

Checking the Copy op from the same category it's output does not include the original Path (and it also doesn't have an Active property).

For consistency it might be better to remove the output for the original Path.

Related Changesets

FreeCAD: master 0c5d5566

2016-11-16 07:19:57

mlampert

Details Diff
Fix for 2773 and two other minor fixes. Affected Issues
0002773
mod - src/Mod/Path/PathScripts/PathArray.py Diff File
mod - src/Mod/Path/PathScripts/PathJob.py Diff File
mod - src/Mod/Path/PathScripts/PathMillFace.py Diff File

FreeCAD: master cb16eda2

2016-11-16 10:34:16

wwmayer


Committer: GitHub Details Diff
Merge pull request 0000337 from mlampert/tracker-2773

Path: tracker 0002773
Affected Issues
0002773
mod - src/Mod/Path/PathScripts/PathArray.py Diff File
mod - src/Mod/Path/PathScripts/PathJob.py Diff File
mod - src/Mod/Path/PathScripts/PathMillFace.py Diff File

Issue History

Date Modified Username Field Change
2016-11-14 19:27 herbk New Issue
2016-11-14 19:27 herbk File Added: doublepath.jpg
2016-11-16 05:59 mlampert Note Added: 0007462
2016-11-16 06:17 mlampert Assigned To => mlampert
2016-11-16 06:17 mlampert Status new => assigned
2016-11-16 09:35 wmayer Changeset attached => FreeCAD Master master cb16eda2
2016-11-16 09:35 wmayer Status assigned => closed
2016-11-16 09:35 wmayer Resolution open => fixed
2016-11-16 09:35 wmayer Fixed in Version => 0.17
2019-07-30 22:43 Kunda1 Changeset attached => FreeCAD master 0c5d5566